AbstractAttribute (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.metamodel
Class AbstractAttribute<X,Y>

    java.lang.Object
      org.hibernate.ejb.metamodel.AbstractAttribute<X,Y>

All Implemented Interfaces:
  Serializable, Attribute<X,Y>, AttributeImplementor<X,Y>

Direct Known Subclasses:
  PluralAttributeImpl, SingularAttributeImpl

    public abstract class AbstractAttribute<X,Y>

extends Object
implements Attribute<X,Y>, AttributeImplementor<X,Y>, Serializable

Models the commonality of the JPA `Attribute` hierarchy.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Attribute
`Attribute.PersistentAttributeType`

Constructor Summary
`AbstractAttribute(String name, Class<Y> javaType, AbstractManagedType<X> declaringType, Member member, Attribute.PersistentAttributeType persistentAttributeType)`

Method Summary
`ManagedType<X>` | `getDeclaringType()`
`Member` | `getJavaMember()`
`Class<Y>` | `getJavaType()`
`String` | `getName()`
`Attribute.PersistentAttributeType` | `getPersistentAttributeType()`
`protected void` | `readObject(ObjectInputStream ois)` Used by JDK serialization...
`protected void` | `writeObject(ObjectOutputStream oos)` Used by JDK serialization...

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.metamodel.Attribute
`isAssociation, isCollection`

Constructor Detail

### AbstractAttribute

    public AbstractAttribute(String name,
                             Class<Y> javaType,
                             AbstractManagedType<X> declaringType,
                             Member member,
                             Attribute.PersistentAttributeType persistentAttributeType)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `Attribute<X,Y>`

### getDeclaringType

    public ManagedType<X> getDeclaringType()

  Specified by:
    `getDeclaringType` in interface `Attribute<X,Y>`

### getJavaType

    public Class<Y> getJavaType()

  Specified by:
    `getJavaType` in interface `Attribute<X,Y>`

### getJavaMember

    public Member getJavaMember()

  Specified by:
    `getJavaMember` in interface `Attribute<X,Y>`

### getPersistentAttributeType

    public Attribute.PersistentAttributeType getPersistentAttributeType()

  Specified by:
    `getPersistentAttributeType` in interface `Attribute<X,Y>`

### readObject

    protected void readObject(ObjectInputStream ois)
                       throws IOException,
                              ClassNotFoundException

  Used by JDK serialization...

  Parameters:
    `ois` - The input stream from which we are being read...
  Throws:
    `IOException` - Indicates a general IO stream exception
    `ClassNotFoundException` - Indicates a class resolution issue

### writeObject

    protected void writeObject(ObjectOutputStream oos)
                        throws IOException

  Used by JDK serialization...

  Parameters:
    `oos` - The output stream to which we are being written...
  Throws:
    `IOException` - Indicates a general IO stream exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.